%define iwl4965_v1         228.57.1.21
%define iwl4965_v2         228.61.2.24
%define iwl4965_list       %{iwl4965_v1} %{iwl4965_v2}

Name:           iwl4965-firmware
Version:        %{iwl4965_v2}
Release:        2.1%{?dist}
Summary:        Firmware for Intel® PRO/Wireless 4965 A/G/N network adaptors

Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://intellinuxwireless.org/
Source0:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-4965-ucode-%{iwl4965_v1}.tgz
Source1:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-4965-ucode-%{iwl4965_v2}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch


%description
This package contains the firmware required by the iwl4965 driver for Linux.
Usage of the firmware is subject to the terms and conditions contained
inside the provided LICENSE file. Please read it carefully.


%prep
%setup -c -q
%setup -c -q -D -T -a 1


# Change permission
find . -type f -exec chmod 0644 {} ';'

pushd iwlwifi-4965-ucode-%{version}
# Change encoding
sed -i 's/\r//'  LICENSE.iwlwifi-4965-ucode README.iwlwifi-4965-ucode
# Rename docs
mv LICENSE.iwlwifi-4965-ucode ../LICENSE
mv README.iwlwifi-4965-ucode ../README
# Preserve timestamp
touch -r *.ucode ../LICENSE ../README
popd


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
for f in %{iwl4965_list} ; do
pushd iwlwifi-4965-ucode-$f
install -pm 0644 *.ucode $RPM_BUILD_ROOT/lib/firmware/
popd
done



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*ucode



%changelog

